> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create location



## OpenAPI

````yaml post /{shopId}/locations
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/locations:
    post:
      tags:
        - Shops
        - Locations
      summary: Create location
      description: Create location
      operationId: createLocation
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                address:
                  type: string
                  example: 10a Yeye Olofin Steeter
                description:
                  type: string
                  example: ''
                geoLocation:
                  type: object
                  properties:
                    addressProximity:
                      type: string
                      example: close
                    fullAddress:
                      type: string
                      example: 10a Yeye Olofin St, Lekki Phase I 106104, Lagos, Nigeria
                    geoNames:
                      type: array
                      items:
                        type: object
                        properties:
                          adminCode1:
                            type: string
                            example: '00'
                          adminCodes1:
                            type: object
                            properties:
                              ISO3166_2:
                                type: string
                                example: LA
                          adminName1:
                            type: string
                            example: ''
                          countryCode:
                            type: string
                            example: NG
                          countryId:
                            type: string
                            example: '2328926'
                          countryName:
                            type: string
                            example: Nigeria
                          fcl:
                            type: string
                            example: L
                          fclName:
                            type: string
                            example: parks,area, ...
                          fcode:
                            type: string
                            example: AREA
                          fcodeName:
                            type: string
                            example: area
                          geonameId:
                            type: number
                            example: 6295630
                          lat:
                            type: string
                            example: '0'
                          lng:
                            type: string
                            example: '0'
                          name:
                            type: string
                            example: Earth
                          population:
                            type: number
                            example: 6814400000
                          toponymName:
                            type: string
                            example: Earth
                      example:
                        - adminName1: ''
                          fcl: L
                          fclName: parks,area, ...
                          fcode: AREA
                          fcodeName: area
                          geonameId: 6295630
                          lat: '0'
                          lng: '0'
                          name: Earth
                          population: 6814400000
                          toponymName: Earth
                        - adminName1: ''
                          fcl: L
                          fclName: parks,area, ...
                          fcode: CONT
                          fcodeName: continent
                          geonameId: 6255146
                          lat: '7.1881'
                          lng: '21.09375'
                          name: Africa
                          population: 1031833000
                          toponymName: Africa
                        - adminCode1: '00'
                          adminName1: ''
                          countryCode: NG
                          countryId: '2328926'
                          countryName: Nigeria
                          fcl: A
                          fclName: country, state, region,...
                          fcode: PCLI
                          fcodeName: independent political entity
                          geonameId: 2328926
                          lat: '10'
                          lng: '8'
                          name: Nigeria
                          population: 195874740
                          toponymName: Federal Republic of Nigeria
                        - adminCode1: '05'
                          adminCodes1:
                            ISO3166_2: LA
                          adminName1: Lagos
                          countryCode: NG
                          countryId: '2328926'
                          countryName: Nigeria
                          fcl: A
                          fclName: country, state, region,...
                          fcode: ADM1
                          fcodeName: first-order administrative division
                          geonameId: 2332453
                          lat: '6.53774'
                          lng: '3.3522'
                          name: Lagos
                          population: 10601345
                          toponymName: Lagos State
                        - adminCode1: '05'
                          adminCodes1:
                            ISO3166_2: LA
                          adminName1: Lagos
                          countryCode: NG
                          countryId: '2328926'
                          countryName: Nigeria
                          fcl: A
                          fclName: country, state, region,...
                          fcode: ADM2
                          fcodeName: second-order administrative division
                          geonameId: 7932498
                          lat: '6.44154'
                          lng: '3.55015'
                          name: Eti Osa
                          population: 0
                          toponymName: Eti Osa
                        - adminCode1: '05'
                          adminCodes1:
                            ISO3166_2: LA
                          adminName1: Lagos
                          countryCode: NG
                          countryId: '2328926'
                          countryName: Nigeria
                          fcl: P
                          fclName: city, village,...
                          fcode: PPL
                          fcodeName: populated place
                          geonameId: 2349522
                          lat: '6.45'
                          lng: '3.46667'
                          name: Araromi
                          population: 0
                          toponymName: Araromi
                    google:
                      type: object
                      properties:
                        address_components:
                          type: array
                          items:
                            type: object
                            properties:
                              long_name:
                                type: string
                                example: 10a
                              short_name:
                                type: string
                                example: 10a
                              types:
                                type: array
                                items:
                                  type: string
                                  example: street_number
                                example:
                                  - street_number
                          example:
                            - long_name: 10a
                              short_name: 10a
                              types:
                                - street_number
                            - long_name: Yeye Olofin Street
                              short_name: Yeye Olofin St
                              types:
                                - route
                            - long_name: Lekki Phase I
                              short_name: Lekki Phase I
                              types:
                                - neighborhood
                                - political
                            - long_name: Lagos
                              short_name: Lagos
                              types:
                                - locality
                                - political
                            - long_name: Eti Osa
                              short_name: Eti Osa
                              types:
                                - administrative_area_level_2
                                - political
                            - long_name: Lagos
                              short_name: LA
                              types:
                                - administrative_area_level_1
                                - political
                            - long_name: Nigeria
                              short_name: NG
                              types:
                                - country
                                - political
                            - long_name: '106104'
                              short_name: '106104'
                              types:
                                - postal_code
                        adr_address:
                          type: string
                          example: >-
                            <span class="street-address">10a Yeye Olofin
                            St</span>, <span class="extended-address">Lekki
                            Phase I</span> <span
                            class="postal-code">106104</span>, <span
                            class="locality">Lagos</span>, <span
                            class="country-name">Nigeria</span>
                        formatted_address:
                          type: string
                          example: >-
                            10a Yeye Olofin St, Lekki Phase I 106104, Lagos,
                            Nigeria
                        geometry:
                          type: object
                          properties:
                            location:
                              type: object
                              properties:
                                lat:
                                  type: number
                                  example: 6.4437532
                                lng:
                                  type: number
                                  example: 3.4618832
                            viewport:
                              type: object
                              properties:
                                east:
                                  type: number
                                  example: 3.463231780291502
                                north:
                                  type: number
                                  example: 6.445193930291502
                                south:
                                  type: number
                                  example: 6.442495969708498
                                west:
                                  type: number
                                  example: 3.460533819708499
                        html_attributions:
                          type: array
                          items: {}
                          example: []
                        icon:
                          type: string
                          example: >-
                            https://maps.gstatic.com/mapfiles/place_api/icons/v1/png_71/geocode-71.png
                        icon_background_color:
                          type: string
                          example: '#7B9EB0'
                        icon_mask_base_uri:
                          type: string
                          example: >-
                            https://maps.gstatic.com/mapfiles/place_api/icons/v2/generic_pinlet
                        name:
                          type: string
                          example: 10a Yeye Olofin St
                        place_id:
                          type: string
                          example: ChIJSX8u2FX0OxARCuZ_5SD4MFw
                        plus_code:
                          type: object
                          properties:
                            compound_code:
                              type: string
                              example: CFV6+GQ Lagos, Nigeria
                            global_code:
                              type: string
                              example: 6FR5CFV6+GQ
                        reference:
                          type: string
                          example: ChIJSX8u2FX0OxARCuZ_5SD4MFw
                        types:
                          type: array
                          items:
                            type: string
                            example: street_address
                          example:
                            - street_address
                        url:
                          type: string
                          example: >-
                            https://maps.google.com/?q=10a+Yeye+Olofin+St,+Lekki+Phase+I+106104,+Lagos,+Nigeria&ftid=0x103bf455d82e7f49:0x5c30f820e57fe60a
                        utc_offset:
                          type: number
                          example: 60
                        utc_offset_minutes:
                          type: number
                          example: 60
                        vicinity:
                          type: string
                          example: Lagos
                    zipCode:
                      type: string
                      example: '106104'
                locationType:
                  type: string
                  example: warehouse-and-pickupcenter
                name:
                  type: string
                  example: My Store Location 1
                type:
                  type: string
                  example: pickupcenter
            example:
              address: 10a Yeye Olofin Steeter
              description: ''
              geoLocation:
                addressProximity: close
                fullAddress: 10a Yeye Olofin St, Lekki Phase I 106104, Lagos, Nigeria
                geoNames:
                  - adminName1: ''
                    fcl: L
                    fclName: parks,area, ...
                    fcode: AREA
                    fcodeName: area
                    geonameId: 6295630
                    lat: '0'
                    lng: '0'
                    name: Earth
                    population: 6814400000
                    toponymName: Earth
                  - adminName1: ''
                    fcl: L
                    fclName: parks,area, ...
                    fcode: CONT
                    fcodeName: continent
                    geonameId: 6255146
                    lat: '7.1881'
                    lng: '21.09375'
                    name: Africa
                    population: 1031833000
                    toponymName: Africa
                  - adminCode1: '00'
                    adminName1: ''
                    countryCode: NG
                    countryId: '2328926'
                    countryName: Nigeria
                    fcl: A
                    fclName: country, state, region,...
                    fcode: PCLI
                    fcodeName: independent political entity
                    geonameId: 2328926
                    lat: '10'
                    lng: '8'
                    name: Nigeria
                    population: 195874740
                    toponymName: Federal Republic of Nigeria
                  - adminCode1: '05'
                    adminCodes1:
                      ISO3166_2: LA
                    adminName1: Lagos
                    countryCode: NG
                    countryId: '2328926'
                    countryName: Nigeria
                    fcl: A
                    fclName: country, state, region,...
                    fcode: ADM1
                    fcodeName: first-order administrative division
                    geonameId: 2332453
                    lat: '6.53774'
                    lng: '3.3522'
                    name: Lagos
                    population: 10601345
                    toponymName: Lagos State
                  - adminCode1: '05'
                    adminCodes1:
                      ISO3166_2: LA
                    adminName1: Lagos
                    countryCode: NG
                    countryId: '2328926'
                    countryName: Nigeria
                    fcl: A
                    fclName: country, state, region,...
                    fcode: ADM2
                    fcodeName: second-order administrative division
                    geonameId: 7932498
                    lat: '6.44154'
                    lng: '3.55015'
                    name: Eti Osa
                    population: 0
                    toponymName: Eti Osa
                  - adminCode1: '05'
                    adminCodes1:
                      ISO3166_2: LA
                    adminName1: Lagos
                    countryCode: NG
                    countryId: '2328926'
                    countryName: Nigeria
                    fcl: P
                    fclName: city, village,...
                    fcode: PPL
                    fcodeName: populated place
                    geonameId: 2349522
                    lat: '6.45'
                    lng: '3.46667'
                    name: Araromi
                    population: 0
                    toponymName: Araromi
                google:
                  address_components:
                    - long_name: 10a
                      short_name: 10a
                      types:
                        - street_number
                    - long_name: Yeye Olofin Street
                      short_name: Yeye Olofin St
                      types:
                        - route
                    - long_name: Lekki Phase I
                      short_name: Lekki Phase I
                      types:
                        - neighborhood
                        - political
                    - long_name: Lagos
                      short_name: Lagos
                      types:
                        - locality
                        - political
                    - long_name: Eti Osa
                      short_name: Eti Osa
                      types:
                        - administrative_area_level_2
                        - political
                    - long_name: Lagos
                      short_name: LA
                      types:
                        - administrative_area_level_1
                        - political
                    - long_name: Nigeria
                      short_name: NG
                      types:
                        - country
                        - political
                    - long_name: '106104'
                      short_name: '106104'
                      types:
                        - postal_code
                  adr_address: >-
                    <span class="street-address">10a Yeye Olofin St</span>,
                    <span class="extended-address">Lekki Phase I</span> <span
                    class="postal-code">106104</span>, <span
                    class="locality">Lagos</span>, <span
                    class="country-name">Nigeria</span>
                  formatted_address: 10a Yeye Olofin St, Lekki Phase I 106104, Lagos, Nigeria
                  geometry:
                    location:
                      lat: 6.4437532
                      lng: 3.4618832
                    viewport:
                      east: 3.463231780291502
                      north: 6.445193930291502
                      south: 6.442495969708498
                      west: 3.460533819708499
                  html_attributions: []
                  icon: >-
                    https://maps.gstatic.com/mapfiles/place_api/icons/v1/png_71/geocode-71.png
                  icon_background_color: '#7B9EB0'
                  icon_mask_base_uri: >-
                    https://maps.gstatic.com/mapfiles/place_api/icons/v2/generic_pinlet
                  name: 10a Yeye Olofin St
                  place_id: ChIJSX8u2FX0OxARCuZ_5SD4MFw
                  plus_code:
                    compound_code: CFV6+GQ Lagos, Nigeria
                    global_code: 6FR5CFV6+GQ
                  reference: ChIJSX8u2FX0OxARCuZ_5SD4MFw
                  types:
                    - street_address
                  url: >-
                    https://maps.google.com/?q=10a+Yeye+Olofin+St,+Lekki+Phase+I+106104,+Lagos,+Nigeria&ftid=0x103bf455d82e7f49:0x5c30f820e57fe60a
                  utc_offset: 60
                  utc_offset_minutes: 60
                  vicinity: Lagos
                zipCode: '106104'
              locationType: warehouse-and-pickupcenter
              name: My Store Location 1
              type: pickupcenter
      responses:
        '200':
          description: ''

````